Create a new customer
View as MarkdownThis endpoint can be used to create or de-duplicate - using channel data - and merge into existing customer.
Full description
This endpoint can be used to create or de-duplicate - using channel data - and merge into existing customer. If the provided channels differ from existing customer data, a new customer will be created. This endpoint will not remove any existing data and is additive in cases where merges occur.
Authorization
PAT commerce.customer:createPersonal Access Token (PAT). Include as Authorization: Bearer $GODADDY_PAT. Required scopes: commerce.customer:read, commerce.customer:create, commerce.customer:update.
In: header
Scope: commerce.customer:create
Path Parameters
An identifier for a store
uuidRequest Body
application/json
Customer data to import
Response Body
application/json
*/*
*/*
*/*
*/*
application/json
*/*
*/*
curl -X POST "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/customers" \ -H "Content-Type: application/json" \ -d '{ "customer": { "firstName": "Fredrick", "lastName": "Smith", "listKeys": [ "bbf6d5ee-f24e-4a77-a6a1-e3fd97d1db49" ] }, "source": "COMMERCE" }'{ "links": [ { "href": "string", "method": "string", "rel": "string" } ]}Last updated on
How is this guide?